(function (cjs, an) {

	anotherLibObj = new Object();

	mxLoadAnotherLibrary = function (_filepath, _compkey, _libkey){
		
		var mxLoadJS = function(){
			
			var jsLoader = new createjs.JavaScriptLoader(_filepath, false);
			
			jsLoader.addEventListener("complete", function(r){
				
				var docElement = document.createElement("script");
				
				docElement.addEventListener("load", function(env){
					
					var comp       = AdobeAn.getComposition(_compkey);
					var anotherLib = comp.getLibrary();
					
					
					var loadManifest = function(evt, comp){
						
						var _lib        = comp.getLibrary();
						var _ss         = comp.getSpriteSheet();
						var _queue      = evt.target;
						var _ssMetadata = _lib.ssMetadata;
						
						for(i=0; i<_ssMetadata.length; i++){
							
							_ss[_ssMetadata[i].name] = new createjs.SpriteSheet( {"images": [_queue.getResult(_ssMetadata[i].name)], 
																					"frames": _ssMetadata[i].frames} );
							
						}
						
						anotherLibObj[_libkey] = anotherLib;
						
						exportRoot.loadAnotherLibraryComplete(_libkey);
					}

					if(anotherLib.properties.manifest[0]){
						
						var mxLoadImages = function(){
							
							var queue = new createjs.LoadQueue(false);
							
							queue.addEventListener("fileload", function(evt){handleFileLoad(evt,comp)});
							queue.addEventListener("complete", function(evt){loadManifest(evt, comp)});
							queue.addEventListener("error", function(y){console.log("ERROR");});
							
							queue.loadManifest(anotherLib.properties.manifest);
							
						}
						
						mxLoadImages();
						
					}else{
						console.log("NOT MANIFEST");
					}});

				docElement.type = "text/javascript";
				docElement.src  = _filepath;
				document.body.appendChild(docElement);
				
				});
				
			jsLoader.addEventListener("error",function(_e){console.log("ERROR");});
			jsLoader.load();
			
		}

		mxLoadJS();

	}

})(window);